# Class webdriver.WebDriver.Logs

code »

Interface for managing WebDriver log records.

## Constructor

webdriver.WebDriver.Logs ( driver )

Parameters

driver: `!webdriver.WebDriver`
  The parent driver.

Show:Public Protected Private

## Instance Methods

code »get ( type ) ⇒ `!webdriver.promise.Promise`

Fetches available log entries for the given type.

Note that log buffers are reset after each call, meaning that available log entries correspond to those entries not yet returned for a given log type. In practice, this means that this call will return the available log entries since the last call, or from the start of the session.

Parameters

type: `!webdriver.logging.Type`
  The desired log type.

Returns

A promise that will resolve to a list of log entries for the specified type.

code »getAvailableLogTypes ( ) ⇒ `!webdriver.promise.Promise`

Retrieves the log types available to this driver.

Returns

A promise that will resolve to a list of available log types.

## Instance Properties

code »driver_ : `!webdriver.WebDriver`